net.corda.node.driver

## Class PortAllocation.RandomFree

- PortAllocation
- - net.corda.node.driver.PortAllocation.RandomFree

- Enclosing class:
    PortAllocation

      public static class PortAllocation.RandomFree
      extends PortAllocation

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.node.driver.PortAllocation

      `PortAllocation.Incremental, PortAllocation.RandomFree`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PortAllocation.RandomFree` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `nextPort()`

    - ### Methods inherited from class net.corda.node.driver.PortAllocation

      `nextHostAndPort, nextPort`

- - ### Field Detail

    - #### INSTANCE

          public static PortAllocation.RandomFree INSTANCE

  - ### Method Detail

    - #### nextPort

          public int nextPort()